hu.akarnokd.rxjava2.joins

## Class Pattern1<T1>

- java.lang.Object
- - hu.akarnokd.rxjava2.joins.Pattern1<T1>

Type Parameters:
  `T1` - the first value type

    public final class Pattern1<T1>
    extends java.lang.Object

Represents a join pattern over Observable sequences.

### Constructor Summary

Constructors
Constructor and Description
`Pattern1(io.reactivex.Observable<T1> o1)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R> Plan<R>` `then(io.reactivex.functions.Function<? super T1,? extends R> selector)` Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pattern1

    public Pattern1(io.reactivex.Observable<T1> o1)

### Method Detail

#### then

    public <R> Plan<R> then(io.reactivex.functions.Function<? super T1,? extends R> selector)

Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

Type Parameters:
  `R` - the result type
Parameters:
  `selector` - the function that will be invoked for elements in the source sequences.
Returns:
  the plan for the matching
Throws:
  `java.lang.NullPointerException` - if selector is null